Skip to main content
PUT
Star or unstar a message

Description

⚠️ This endpoint is not yet implemented. This endpoint will allow marking or unmarking messages as favorites (star), adding them to the important messages list on WhatsApp. Note: This endpoint uses the HTTP PUT method, not POST.

Body

Body Parameters

Status Codes

  • 200 - Message favoritada/desfavoritada com sucesso
  • 400 - Invalid parameters
  • 401 - Unauthorized session
  • 404 - Session not found
  • 501 - Not implemented

Usage Example

Authorizations

apikey
string
header
required

Your Wappfy API key (get it at dash.wappfy.com.br)

Body

application/json
messageId
string
required

Message ID to be starred

Example:

"false_5511999999999@c.us_AAAAAAAAAAAAAAAAAAAA"

chatId
string
required

Chat ID (WhatsApp JID)

Example:

"5511999999999@c.us"

star
boolean
required

true para favoritar, false para desfavoritar

session
string
required

Session name (instanceName)

Example:

"my-session"

Response

200 - undefined